//Creado por Esteban Padilla Huete A94607.
import java.util.Scanner;

public class Examen01


{
  public static void main (String args[])
  {
    Scanner teclado= new Scanner(System.in);
    
    while (true)
    {
      
      System.out.print("Numero a mostrar [0=salida]: ");
      
      teclado.skip("[\n\r\t ]*");
      String numero = teclado.nextLine();
      if (numero.equals("0"))
        return;
      
      System.out.print("Factor de aumento (x): ");
      int aumento=teclado.nextInt();
      
      while (aumento<=0)
      {
        System.err.println("favor digite un aumento valido, mayor a cero");
        aumento=teclado.nextInt();
      }
      
      
      for(int k=0; k<numero.length(); ++k)
      {
        if (numero.charAt(k)=='1')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          System.out.println();
        }
        if (numero.charAt(k)=='2')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        if (numero.charAt(k)=='0')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        if (numero.charAt(k)=='3')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        if (numero.charAt(k)=='4')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          System.out.println();
        }
        
        if (numero.charAt(k)=='5')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        
        
        if (numero.charAt(k)=='6')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        
        if (numero.charAt(k)=='7')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          System.out.println();
        }
        
        if (numero.charAt(k)=='8')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        
        if (numero.charAt(k)=='9')
        {
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print(" ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("  ");
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("#");
            System.out.println();
          }
          for(int i=1; i<=aumento; i=i+1)
          {
            for(int j=1; j<=aumento; j=j+1)
              System.out.print("###");
            System.out.println();
          }
          System.out.println();
        }
        
      }
    }
  }
}
